[SciPy-user] install numpy/scipy with Intel Compilers

David M. Cooke cookedm@physics.mcmaster...
Tue Nov 27 07:57:37 CST 2007


On Nov 23, 2007, at 13:16 , Laurence Viry wrote:

> Hi!
>
> I try to install numpy 1.0.4 and scipy 0.6.0 with INTEL C/C++ and
> Fortran compilers and SCSL scientific library with python2.4.4 on
> Itanium with linux OS. (Altix SGI with SUSE linux)
>
> I didn't success to configure the construct of build_ext for scipy  
> with
> the fortran INTEL compiler (--fcompiler=intele)
> Thank for your help

Hi Laurence,

I'm not familiar with Intel's compilers (even more, running them on  
Itaniums). I'm guessing that numpy.distutils isn't able to tell  
whether your compiler is intele or not. From numpy/distutils/fcompiler/ 
intel.py, the command run to find the version is

$ ifort -FI -V -c dummy.f -o dummy.o

where dummy.f is just a file with a dummy subroutine in it. Could you  
do this and give us the output?

-- 
|>|\/|<
/------------------------------------------------------------------\
|David M. Cooke              http://arbutus.physics.mcmaster.ca/dmc/
|cookedm@physics.mcmaster.ca



More information about the SciPy-user mailing list